Subject: Re: [mobile-ip] Handover to Third?

From: Alper Yegin <[email-masked]>
Date: Wed, 13 Jun 2001 11:52:43 -0700 (PDT)

Jim,

> 
> I've been looking through the FMIPv6 draft again, and a question came up.
> 
> It is possible that the MN may have some traffic on newAR required
> to set up the newCoA. It may have to send an F-BU, and an
> F-NA or NA. This is in addition to the BU to the HA or hierarchical agent, 
which 
> will require at least another radio link round trip, probably without full 
> header compression. So there is some amount of time on newAR during which the 
MN
> is not in full possession of the newCoA, but is in the process of
> establishing it.
> 
> The question is, what happens if the MN moves to a third AR before
> the process of establishing the newCoA is complete?
> 
> For example, let's suppose the MN sends the F-BU while on the oldAR
> but does not receive a reply before L2 handover to newAR happens. Suppose
> further that the MN's location is at a place where three cells butt
> up against each other, and that it quickly slips into a third cell at L2,
> before the F-BACK arrives. Or suppose the MN is moving quickly through
> a small sliver of a cell between two others. This problem is similar
> to the ping-pong problem, but with a third cell.

I think this is not a common case. Do you think this is a common enough case 
that this protocol should handle?

We can think of other not so common cases like Wolfgang mentioned. MN moves so 
fast that nothing works.

> 
> There are two issues here:
> 
> 1) The newAR may not have enough time to complete the PrRtAdv/F-BU pair
> that is required for network assisted handover over the air with MN prior to 
the 
> L2 handover to thirdAR, to say nothing of the RtSolPr/PrRtAdv/F-BU for mobile
> assisted. The HI/HACK would probably work, since that is sent over
> the backbone and should take no longer than 10 ms, if processing time
> on thirdAR is low, and 10 ms is about 1/2 of a radio frame for typical 3G
> radio link protocols.
> 
> 2) The oldAR is now left thinking that MN has moved to newAR. It has
> set up a bi-directional tunnel with newAR to assure that MN's packets
> get to it, even if they have oCoA as the destination address. It attempts
> to send the F-BACK to nCoA, but MN has moved and the F-BACK doesn't get
> there, maybe oldAR gets an ICMP message to that effect. What should oldAR do?
> How does it distinguish this case from one where the MN has moved and goes 
into 
> dormant mode or is lost? Should newAR set up a second tunnel to thirdAR? 
> 
> It seems to me like the draft needs to provide some solution for this
> case, as well as for ping-ponging.

In an unsual case like this, I personally don't expect this protocol to work, 
yet it shouldn't create new problems either. In this case, seeing that MN has 
attached to some link other than the one it told oldAR, MN can abort fast 
handoff, fall back to regular handoff, and send a BU to oldAR to clear things 
up.

I wouldn't prefer extending (complicating) the protocol to handle this rare 
case. This is my presonal opinion.

alper

---

From: James Kempf <[email-masked]>
Date: Wed, 13 Jun 2001 14:17:39 -0700 (PDT)

Alper,

I don't know how common the case is, but it is explicitly handled in
IS-41, as I mentioned in response to Wolfgang's note.

We cannot seriously offer IP as an alternative to the existing cellular
protocols unless we fix this.

		jak
		
>Date: Wed, 13 Jun 2001 11:52:43 -0700 (PDT)
>From: Alper Yegin <[email-masked]>
>Subject: Re: [mobile-ip] Handover to Third?
>To: [email-masked]
>Content-MD5: 9sapSz8txFGscnWj6tMM7g==
>
>Jim,
>
>>

---

From: James Kempf <[email-masked]>
Date: Wed, 13 Jun 2001 09:22:27 -0700 (PDT)

Hi Wolfgang,

I don't think it is unsolvable, it is solved in the current IS-41/IS-95/IOS 4.1
network, which is used for cellular communication in North America and
Korea. I'll spare you the details of how it is solved, but you can
check the IS-41 specification if you want to see how on the core network
side.

I presume GSM has a solution also.

		jak

>Date: Wed, 13 Jun 2001 09:54:03 +0200
>From: Wolfgang Schoenfeld <[email-masked]>
>James,
>one may imagine that MN moves (physically or by radio reachability) so fast
>that any data forwarded to newAR by whatsoever method
>arrives there only after MN has left it.
>
>(This holds for unicast forwarding only.
>If data is multicasted to all envisaged ARs,
>MN will receive it by at least one of them
>- if reachability time is long enough.)
>
>Couldn't it be that the problem you describe is unsolvable in general and
>has a solution only under reasonable assumptions on MN's moves,
>taking numbers into account as you computed?
>These would clearly depend on the (geographical) distribution of ARs.
>
>Wolfgang
>
>James Kempf schrieb:
>> 
which
MN
the
into
>-- 
>Prof. Dr. Wolfgang Schoenfeld, GMD-IPSI, Dolivostr. 15, D-64293 Darmstadt
>Office: +49-6151-869-865 FAX: -6847 Mobile: +49-174-7093455